Index: code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9726)
+++ code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9727)
@@ -90,5 +90,5 @@
 				Attack them!"
 			failMessage="You've lost all your ships!"
-			completeMessage="" />
+			completeMessage="Well done!" />
 		<complete-effects>
 			<AddQuest questId="spacefight.guard1" />
@@ -104,5 +104,5 @@
 		<complete-effects>
 		  	<AddQuest questId="spacefight.upgrade1" />
-			<!-- <AddQuest questId="spacefight.flying2" /> -->
+			<AddQuest questId="spacefight.flying2" />
 		</complete-effects>
 	</LocalQuest>
@@ -166,19 +166,30 @@
 		<events>
 		  <execute>
-		    <EventListener event=spawntrigger />
+		    <EventListener event=spawntrigger2 />
 		  </execute>
 		</events>
 		<attached>
-			<BlinkingBillboard position="5000,0,0" colour="1,0,0" frequency=0.5 amplitude=5 material="Examples/Flare"/>
+			<BlinkingBillboard position="5000,0,0" colour="1,0,0" frequency=0.5 amplitude=5 material="Examples/Flare" />
 		</attached>
 	</QuestEffectBeacon>
 
+	<QuestEffectBeacon times=1>
+		<effects>
+			<CompleteQuest questId="spacefight.flying1" />
+		</effects>
+		<events>
+			<execute>
+				<EventListener event="flying1" />
+			</execute>		
+		</events>
+	</QuestEffectBeacon>
+
         <QuestEffectBeacon times=1>
             <effects>
-                <AddQuest questId="spacefight.guard1" />
+                <CompleteQuest questId="spacefight.guard1" />
             </effects>
             <events>
                 <execute>
-                    <EventListener event="flying1" />
+                    <EventListener event="guard1trigger4" />
                 </execute>
             </events>
@@ -187,5 +198,5 @@
 <!-- ---------------------------------------------------------------------- -->
 
-  <DistanceTrigger name="flying1" position="3000,0,0" target="SpaceShip" distance=1500 stayActive="true" delay=0 />
+  <DistanceTrigger name="flying1" position="3000,0,0" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
 
   <DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
@@ -235,8 +246,8 @@
 <!-- Passive Piraten -->
 
-<SpaceShip position="5000,1000,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
+<SpaceShip position="5000,1000,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event="spacefight.guard1" />
+      <EventListener event=spawntrigger2 />
     </visibility>
   </events>
@@ -254,8 +265,8 @@
 </SpaceShip>
 
-<SpaceShip position="5000,0,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
+<SpaceShip position="5000,0,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event="spacefight.guard1" />
+      <EventListener event=spawntrigger2 />
     </visibility>
   </events>
@@ -275,8 +286,9 @@
 
 <!-- Angreiffender Pirat 1 -->
-<SpaceShip position="5000,-1000,1000" lookat="5000,1000,-1000" name="firstPatrol" visible="true" >
+
+<SpaceShip position="5000,-1000,1000" lookat="5000,1000,-1000" name=firstPatrol visible="true" radarname="Patrol" >
   <events>
     <visibility>
-      <EventListener event=spawntrigger />
+      <EventListener event=spawntrigger2 />
     </visibility>
   </events>
@@ -292,5 +304,5 @@
       <events>
         <activity>
-          <EventListener event=spawntrigger />
+          <EventListener event=spawntrigger2 />
         </activity>
       </events>
@@ -300,8 +312,8 @@
 
 <!-- Angreiffender Pirat 2 -->
-<SpaceShip position="5000,-500,-500" lookat="5000,1000,1000" name="firstPatrol" visible="true" >
+<SpaceShip position="5000,-500,-500" lookat="5000,1000,1000" name=firstPatrol visible="true" radarname="Patrol">
   <events>
     <visibility>
-      <EventListener event=spawntrigger />
+      <EventListener event=spawntrigger2 />
     </visibility>
   </events>
@@ -317,5 +329,5 @@
       <events>
         <activity>
-          <EventListener event=spawntrigger />
+          <EventListener event=spawntrigger2 />
         </activity>
       </events>
